summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorLeif Lindholm <leif.lindholm@linaro.org>2017-12-01 13:57:32 +0000
committerLeif Lindholm <leif.lindholm@linaro.org>2017-12-01 13:57:32 +0000
commit9a1aaa2e15860605d59e23305d60219db1e9c76f (patch)
tree68da34600a0346f38f5c50d8a58b2deffb16ae3f /build.sh
parent1ab35c6c228a85667f5c13d8bcf8414194cd7465 (diff)
build.sh: set up git details if empty
To prevent git commands inside the working trees from failing, set up user "Linaro Buildbot" <nobody@linaro.org>" in git config. Signed-off-by: Leif Lindholm <leif.lindholm@linaro.org>
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 96b9b4f..8ca6ee6 100755
--- a/build.sh
+++ b/build.sh
@@ -15,6 +15,19 @@ EDK2_PLATFORMS_HASH=563c2efbfa0580f4a1efee368cfc77d27bf33a1f
EDK2_NON_OSI_HASH=5f76141f299780cb3a64f007126261c6c3157d75
UEFI_TOOLS_HASH=42eac07beb4da42a182d2a87d6b2e928fc9a31cf
+config_git()
+{
+ git config --global user.name >/dev/null
+ if [ $? -ne 0 ]; then
+ git config --global user.name "Linaro Buildbot"
+ fi
+
+ git config --global user.email >/dev/null
+ if [ $? -ne 0 ]; then
+ git config --global user.email "nobody@linaro.org"
+ fi
+}
+
REPO_ORIGIN=
REPO_HASH=
set_current_repo()
@@ -160,6 +173,8 @@ checksum_images()
BUILD_OPTIONS="$BUILD_OPTIONS $*"
+config_git
+
for repo in arm-trusted-firmware edk2 edk2-platforms edk2-non-osi uefi-tools
do
echo "$repo"